Package org.opensaml.xmlsec.signature

# Class AbstractSignableXMLObject

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject

All Implemented Interfaces:
  `XMLObject`, `SignableXMLObject`

Direct Known Subclasses:
  `AbstractSignableSAMLObject`

public abstract class AbstractSignableXMLObject extends AbstractXMLObject implements SignableXMLObject
Base for signable XMLObjects.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Signature`
`signature`
Signature child.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSignableXMLObject(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Signature`
`getSignature()`
Gets the Signature XMLObject.
`boolean`
`isSigned()`
Checks to see if the element has been signed.
`void`
`setSignature(Signature newSignature)`
Sets the Signature XMLObject.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### signature

@Nullable private Signature signature
Signature child.

## Constructor Details

### AbstractSignableXMLObject

protected AbstractSignableXMLObject(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### isSigned

public boolean isSigned()
Checks to see if the element has been signed.

Specified by:
  `isSigned` in interface `SignableXMLObject`
Returns:
  true iff this element is signed

### getSignature

@Nullable public Signature getSignature()
Gets the Signature XMLObject.

Specified by:
  `getSignature` in interface `SignableXMLObject`
Returns:
  the Signature XMLObject

### setSignature

public void setSignature(@Nullable Signature newSignature)
Sets the Signature XMLObject.

Specified by:
  `setSignature` in interface `SignableXMLObject`
Parameters:
  `newSignature` - the Signature XMLObject